## xerces-c 3.1.4+debian

=== debian/changelog ===
xerces-c (3.1.4+debian-2+deb9u1) stretch; urgency=medium

  * Fix CVE-2017-12627: Alberto Garcia, Francisco Oca and Suleman Ali of
    Offensive Research discovered that the Xerces-C XML parser mishandles
    certain kinds of external DTD references, resulting in dereference of a
    NULL pointer while processing the path to the DTD. The bug allows for a
    denial of service attack in applications that allow DTD processing and do
    not prevent external DTD usage, and could conceivably result in remote code
    execution.
  * Fix a regression that forced gcc to use SSE2, even on platforms that do not
    support it (e.g., i386).  This caused program crashes due to invalid CPU
    instructions.

 -- William Blough <devel@blough.us>  Thu, 26 Apr 2018 00:35:59 -0400

xerces-c (3.1.4+debian-2) unstable; urgency=medium

  * Fix AC_LANG_SOURCE warnings.
  * Override dh_auto_clean to also clean generated doc directory.
    Closes: 847799
  * Fix segfault in PSVIWriter. Closes: 715592
  * Use -O1 on s390x to work around Bug: 833754
  * Add hardening=+all build option
  * Remove lintian override that was no longer needed

 -- William Blough <devel@blough.us>  Sun, 11 Dec 2016 14:38:45 -0500

xerces-c (3.1.4+debian-1) unstable; urgency=medium

  * New upstream release
  * Removed patches that are no longer needed (applied upstream)
  * Compile with curl support to allow accessing https urls.  Closes: #821380
  * Added patch to fix some compiler warnings (forwarded upstream)

 -- William Blough <devel@blough.us>  Mon, 07 Nov 2016 20:38:09 -0500

xerces-c (3.1.3+debian-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * CVE-2016-4463: Apache Xerces-C XML Parser Crashes on Malformed DTD
    (Closes: #828990)
  * Enable the ability to disable DTD processing through the use of an env
    variable
  * Add NEWS.Debian entry to document the XERCES_DISABLE_DTD variable

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 01 Jul 2016 14:28:51 +0200

xerces-c (3.1.3+debian-2) unstable; urgency=medium

  * Fix CVE-2016-2099: Exception handling mistake in DTDScanner.
    Closes: #823863
  * Update standards version to 3.9.8 (no changes needed)

 -- William Blough <devel@blough.us>  Tue, 10 May 2016 00:34:51 -0400
