=== debian/control ===
Source: xerces-c
Section: libs
Priority: optional
Build-Depends: debhelper (>> 9),
               default-jre-headless | default-jre,
               dh-autoreconf,
               libatk-wrapper-java,
               libcurl4-gnutls-dev,
               libicu-dev,
               libstylebook-java,
               libxalan2-java,
               libxerces2-java
Build-Depends-Indep: doxygen
Maintainer: William Blough <devel@blough.us>
Standards-Version: 3.9.8
Homepage: https://xerces.apache.org/xerces-c/
Vcs-Git: https://bitbucket.org/bblough/xerces-c.git
Vcs-Browser: https://bitbucket.org/bblough/xerces-c/src

Package: libxerces-c3.1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: validating XML parser library for C++
 Xerces-C++ is a validating XML parser written in a portable subset of
 C++.  Xerces-C++ makes it easy to give your application the ability
 to read and write XML data. A shared library is provided for parsing,
 generating, manipulating, and validating XML documents. Xerces-C++ is
 faithful to the XML 1.0 recommendation and associated standards (DOM
 1.0, DOM 2.0, SAX 1.0, SAX 2.0, Namespaces, XML Schema Part 1 and
 Part 2).  It also provides experimental implementations of XML 1.1
 and DOM Level 3.0.  The parser provides high performance, modularity,
 and scalability.

Package: libxerces-c-dev
Section: libdevel
Provides: libxerces-c3-dev
Architecture: any
Depends: libc6-dev | libc-dev,
         libicu-dev,
         libxerces-c3.1 (= ${binary:Version}),
         ${misc:Depends}
Conflicts: libxerces-c2-dev,
           libxerces25-dev,
           libxerces26-dev,
           libxerces27-dev,
           libxerces28-dev
Suggests: libxerces-c-doc
Description: validating XML parser library for C++ (development files)
 Xerces-C++ is a validating XML parser written in a portable subset of
 C++.  This package contains the development files for Xerces. It also
 contains sources to various sample files.  The libxerces-c-samples
 package contains compiled versions of the samples.

Package: libxerces-c-doc
Section: doc
Architecture: all
Provides: libxerces-c3-doc
Depends: ${misc:Depends}
Suggests: libxerces-c-dev
Description: validating XML parser library for C++ (documentation)
 Xerces-C++ is a validating XML parser written in a portable subset of
 C++.  This package contains the developer documentation, including
 programming guides and API documentation.

Package: libxerces-c-samples
Section: devel
Architecture: any
Provides: libxerces-c3-samples
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: validating XML parser library for C++ (compiled samples)
 Xerces-C++ is a validating XML parser written in a portable subset of
 C++.  This package contains compiled versions of the samples.  You
 probably don't want this package, but it can be useful if you are
 trying to reproduce a problem before reporting a bug that will be
 easy for the xerces developers to reproduce.
