=== src/CMakeLists.txt ===
# CMake build for xerces-c
#
# Written by Roger Leigh <rleigh@codelibre.net>
#
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

set(EXTRA_DIST
  stricmp.h
  strnicmp.h
  towlower.h
  towupper.h
  xercesc/NLS
  xercesc/util/Xerces_autoconf_config.hpp.cmake.in
  xercesc/util/Xerces_autoconf_config.hpp.in
  xercesc/util/Xerces_autoconf_config.msvc.hpp
  xercesc/util/Xerces_autoconf_config.borland.hpp
  xercesc/util/MsgLoaders/Win32
  xercesc/util/MsgLoaders/ICU/resources
)

set(missing_sources
  stricmp.c
  stricmp.h
  strnicmp.c
  strnicmp.h
  towlower.c
  towlower.h
  towupper.c
  towupper.h
)

add_custom_target(xerces-c-missing SOURCES ${missing_sources})
set_target_properties(xerces-c-missing PROPERTIES FOLDER "Library")

#libxerces_c_la_LIBADD = ${LTLIBOBJS}

#
# Definition of sources/headers
#

#
#	A line like the following will generate a list of headers
#	for a given directory: (must be issued from src directory)
#		find xercesc/framework -name '*.hpp' -exec echo {} \\ ";"
#		find xercesc/framework -name '*.cpp' -exec echo {} \\ ";"
#

set(dom_headers
  xercesc/dom/DOM.hpp
  xercesc/dom/DOMAttr.hpp
  xercesc/dom/DOMCDATASection.hpp
  xercesc/dom/DOMCharacterData.hpp
  xercesc/dom/DOMComment.hpp
  xercesc/dom/DOMConfiguration.hpp
  xercesc/dom/DOMDocument.hpp
  xercesc/dom/DOMDocumentFragment.hpp
  xercesc/dom/DOMDocumentRange.hpp
  xercesc/dom/DOMDocumentTraversal.hpp
  xercesc/dom/DOMDocumentType.hpp
  xercesc/dom/DOMElement.hpp
  xercesc/dom/DOMEntity.hpp
  xercesc/dom/DOMEntityReference.hpp
  xercesc/dom/DOMError.hpp
  xercesc/dom/DOMErrorHandler.hpp
  xercesc/dom/DOMException.hpp
  xercesc/dom/DOMImplementation.hpp
  xercesc/dom/DOMImplementationList.hpp
  xercesc/dom/DOMImplementationLS.hpp
  xercesc/dom/DOMImplementationRegistry.hpp
  xercesc/dom/DOMImplementationSource.hpp
  xercesc/dom/DOMLocator.hpp
  xercesc/dom/DOMLSException.hpp
  xercesc/dom/DOMLSInput.hpp
  xercesc/dom/DOMLSOutput.hpp
  xercesc/dom/DOMLSParser.hpp
  xercesc/dom/DOMLSParserFilter.hpp
  xercesc/dom/DOMLSResourceResolver.hpp
  xercesc/dom/DOMLSSerializer.hpp
  xercesc/dom/DOMLSSerializerFilter.hpp
  xercesc/dom/DOMMemoryManager.hpp
  xercesc/dom/DOMNamedNodeMap.hpp
  xercesc/dom/DOMNode.hpp
  xercesc/dom/DOMNodeFilter.hpp
  xercesc/dom/DOMNodeIterator.hpp
  xercesc/dom/DOMNodeList.hpp
  xercesc/dom/DOMNotation.hpp
  xercesc/dom/DOMProcessingInstruction.hpp
  xercesc/dom/DOMPSVITypeInfo.hpp
  xercesc/dom/DOMRange.hpp
  xercesc/dom/DOMRangeException.hpp
  xercesc/dom/DOMStringList.hpp
  xercesc/dom/DOMText.hpp
  xercesc/dom/DOMTreeWalker.hpp
  xercesc/dom/DOMTypeInfo.hpp
  xercesc/dom/DOMUserDataHandler.hpp
  xercesc/dom/DOMXPathEvaluator.hpp
  xercesc/dom/DOMXPathException.hpp
  xercesc/dom/DOMXPathExpression.hpp
  xercesc/dom/DOMXPathNamespace.hpp
  xercesc/dom/DOMXPathNSResolver.hpp
  xercesc/dom/DOMXPathResult.hpp
  xercesc/dom/StDOMNode.hpp
)

set(dom_sources
  xercesc/dom/DOMException.cpp
  xercesc/dom/DOMLSException.cpp
  xercesc/dom/DOMRangeException.cpp
  xercesc/dom/DOMXPathException.cpp
)


set(domimpl_headers
  xercesc/dom/impl/DOMAttrImpl.hpp
  xercesc/dom/impl/DOMAttrMapImpl.hpp
  xercesc/dom/impl/DOMAttrNSImpl.hpp
  xercesc/dom/impl/DOMCasts.hpp
  xercesc/dom/impl/DOMCDATASectionImpl.hpp
  xercesc/dom/impl/DOMCharacterDataImpl.hpp
  xercesc/dom/impl/DOMChildNode.hpp
  xercesc/dom/impl/DOMCommentImpl.hpp
  xercesc/dom/impl/DOMConfigurationImpl.hpp
  xercesc/dom/impl/DOMDeepNodeListImpl.hpp
  xercesc/dom/impl/DOMDeepNodeListPool.hpp
  xercesc/dom/impl/DOMDeepNodeListPool.c
  xercesc/dom/impl/DOMDocumentFragmentImpl.hpp
  xercesc/dom/impl/DOMDocumentImpl.hpp
  xercesc/dom/impl/DOMDocumentTypeImpl.hpp
  xercesc/dom/impl/DOMElementImpl.hpp
  xercesc/dom/impl/DOMElementNSImpl.hpp
  xercesc/dom/impl/DOMEntityImpl.hpp
  xercesc/dom/impl/DOMEntityReferenceImpl.hpp
  xercesc/dom/impl/DOMErrorImpl.hpp
  xercesc/dom/impl/DOMImplementationImpl.hpp
  xercesc/dom/impl/DOMImplementationListImpl.hpp
  xercesc/dom/impl/DOMLocatorImpl.hpp
  xercesc/dom/impl/DOMNamedNodeMapImpl.hpp
  xercesc/dom/impl/DOMNodeBase.hpp
  xercesc/dom/impl/DOMNodeIDMap.hpp
  xercesc/dom/impl/DOMNodeImpl.hpp
  xercesc/dom/impl/DOMNodeIteratorImpl.hpp
  xercesc/dom/impl/DOMNodeListImpl.hpp
  xercesc/dom/impl/DOMNodeVector.hpp
  xercesc/dom/impl/DOMNormalizer.hpp
  xercesc/dom/impl/DOMNotationImpl.hpp
  xercesc/dom/impl/DOMParentNode.hpp
  xercesc/dom/impl/DOMProcessingInstructionImpl.hpp
  xercesc/dom/impl/DOMRangeImpl.hpp
  xercesc/dom/impl/DOMStringListImpl.hpp
  xercesc/dom/impl/DOMStringPool.hpp
  xercesc/dom/impl/DOMTextImpl.hpp
  xercesc/dom/impl/DOMTreeWalkerImpl.hpp
  xercesc/dom/impl/DOMTypeInfoImpl.hpp
  xercesc/dom/impl/DOMLSSerializerImpl.hpp
  xercesc/dom/impl/DOMLSInputImpl.hpp
  xercesc/dom/impl/DOMLSOutputImpl.hpp
  xercesc/dom/impl/DOMXPathExpressionImpl.hpp
  xercesc/dom/impl/DOMXPathNSResolverImpl.hpp
  xercesc/dom/impl/DOMXPathResultImpl.hpp
  xercesc/dom/impl/XSDElementNSImpl.hpp
)

set(domimpl_sources
  xercesc/dom/impl/DOMAttrImpl.cpp
  xercesc/dom/impl/DOMAttrMapImpl.cpp
  xercesc/dom/impl/DOMAttrNSImpl.cpp
  xercesc/dom/impl/DOMCDATASectionImpl.cpp
  xercesc/dom/impl/DOMCharacterDataImpl.cpp
  xercesc/dom/impl/DOMChildNode.cpp
  xercesc/dom/impl/DOMCommentImpl.cpp
  xercesc/dom/impl/DOMConfigurationImpl.cpp
  xercesc/dom/impl/DOMDeepNodeListImpl.cpp
  xercesc/dom/impl/DOMDocumentFragmentImpl.cpp
  xercesc/dom/impl/DOMDocumentImpl.cpp
  xercesc/dom/impl/DOMDocumentTypeImpl.cpp
  xercesc/dom/impl/DOMElementImpl.cpp
  xercesc/dom/impl/DOMElementNSImpl.cpp
  xercesc/dom/impl/DOMEntityImpl.cpp
  xercesc/dom/impl/DOMEntityReferenceImpl.cpp
  xercesc/dom/impl/DOMErrorImpl.cpp
  xercesc/dom/impl/DOMImplementationImpl.cpp
  xercesc/dom/impl/DOMImplementationListImpl.cpp
  xercesc/dom/impl/DOMImplementationRegistry.cpp
  xercesc/dom/impl/DOMLocatorImpl.cpp
  xercesc/dom/impl/DOMNamedNodeMapImpl.cpp
  xercesc/dom/impl/DOMNodeIDMap.cpp
  xercesc/dom/impl/DOMNodeImpl.cpp
  xercesc/dom/impl/DOMNodeIteratorImpl.cpp
  xercesc/dom/impl/DOMNodeListImpl.cpp
  xercesc/dom/impl/DOMNodeVector.cpp
  xercesc/dom/impl/DOMNormalizer.cpp
  xercesc/dom/impl/DOMNotationImpl.cpp
  xercesc/dom/impl/DOMParentNode.cpp
  xercesc/dom/impl/DOMProcessingInstructionImpl.cpp
  xercesc/dom/impl/DOMRangeImpl.cpp
  xercesc/dom/impl/DOMStringListImpl.cpp
  xercesc/dom/impl/DOMStringPool.cpp
  xercesc/dom/impl/DOMTextImpl.cpp
  xercesc/dom/impl/DOMTreeWalkerImpl.cpp
  xercesc/dom/impl/DOMTypeInfoImpl.cpp
  xercesc/dom/impl/DOMLSSerializerImpl.cpp
  xercesc/dom/impl/DOMLSInputImpl.cpp
  xercesc/dom/impl/DOMLSOutputImpl.cpp
  xercesc/dom/impl/DOMXPathExpressionImpl.cpp
  xercesc/dom/impl/DOMXPathNSResolverImpl.cpp
  xercesc/dom/impl/DOMXPathResultImpl.cpp
  xercesc/dom/impl/XSDElementNSImpl.cpp
)

set(framework_headers
  xercesc/framework/BinOutputStream.hpp
  xercesc/framework/LocalFileFormatTarget.hpp
  xercesc/framework/LocalFileInputSource.hpp
  xercesc/framework/MemBufFormatTarget.hpp
  xercesc/framework/MemBufInputSource.hpp
  xercesc/framework/MemoryManager.hpp
  xercesc/framework/psvi/PSVIAttribute.hpp
  xercesc/framework/psvi/PSVIAttributeList.hpp
  xercesc/framework/psvi/PSVIElement.hpp
  xercesc/framework/psvi/PSVIHandler.hpp
  xercesc/framework/psvi/PSVIItem.hpp
  xercesc/framework/psvi/XSAnnotation.hpp
  xercesc/framework/psvi/XSAttributeDeclaration.hpp
  xercesc/framework/psvi/XSAttributeGroupDefinition.hpp
  xercesc/framework/psvi/XSAttributeUse.hpp
  xercesc/framework/psvi/XSComplexTypeDefinition.hpp
  xercesc/framework/psvi/XSConstants.hpp
  xercesc/framework/psvi/XSElementDeclaration.hpp
  xercesc/framework/psvi/XSFacet.hpp
  xercesc/framework/psvi/XSIDCDefinition.hpp
  xercesc/framework/psvi/XSModel.hpp
  xercesc/framework/psvi/XSModelGroup.hpp
  xercesc/framework/psvi/XSModelGroupDefinition.hpp
  xercesc/framework/psvi/XSMultiValueFacet.hpp
  xercesc/framework/psvi/XSNamedMap.hpp
  xercesc/framework/psvi/XSNamedMap.c
  xercesc/framework/psvi/XSNamespaceItem.hpp
  xercesc/framework/psvi/XSNotationDeclaration.hpp
  xercesc/framework/psvi/XSObject.hpp
  xercesc/framework/psvi/XSParticle.hpp
  xercesc/framework/psvi/XSSimpleTypeDefinition.hpp
  xercesc/framework/psvi/XSTypeDefinition.hpp
  xercesc/framework/psvi/XSValue.hpp
  xercesc/framework/psvi/XSWildcard.hpp
  xercesc/framework/StdInInputSource.hpp
  xercesc/framework/StdOutFormatTarget.hpp
  xercesc/framework/URLInputSource.hpp
  xercesc/framework/ValidationContext.hpp
  xercesc/framework/Wrapper4DOMLSInput.hpp
  xercesc/framework/Wrapper4InputSource.hpp
  xercesc/framework/XMLAttDef.hpp
  xercesc/framework/XMLAttDefList.hpp
  xercesc/framework/XMLAttr.hpp
  xercesc/framework/XMLBuffer.hpp
  xercesc/framework/XMLBufferMgr.hpp
  xercesc/framework/XMLContentModel.hpp
  xercesc/framework/XMLDocumentHandler.hpp
  xercesc/framework/XMLDTDDescription.hpp
  xercesc/framework/XMLElementDecl.hpp
  xercesc/framework/XMLEntityDecl.hpp
  xercesc/framework/XMLEntityHandler.hpp
  xercesc/framework/XMLErrorCodes.hpp
  xercesc/framework/XMLErrorReporter.hpp
  xercesc/framework/XMLFormatter.hpp
  xercesc/framework/XMLGrammarDescription.hpp
  xercesc/framework/XMLGrammarPool.hpp
  xercesc/framework/XMLGrammarPoolImpl.hpp
  xercesc/framework/XMLNotationDecl.hpp
  xercesc/framework/XMLPScanToken.hpp
  xercesc/framework/XMLRecognizer.hpp
  xercesc/framework/XMLRefInfo.hpp
  xercesc/framework/XMLSchemaDescription.hpp
  xercesc/framework/XMLValidator.hpp
  xercesc/framework/XMLValidityCodes.hpp
)

set(framework_sources
  xercesc/framework/BinOutputStream.cpp
  xercesc/framework/LocalFileFormatTarget.cpp
  xercesc/framework/LocalFileInputSource.cpp
  xercesc/framework/MemBufFormatTarget.cpp
  xercesc/framework/MemBufInputSource.cpp
  xercesc/framework/psvi/PSVIAttribute.cpp
  xercesc/framework/psvi/PSVIAttributeList.cpp
  xercesc/framework/psvi/PSVIElement.cpp
  xercesc/framework/psvi/PSVIItem.cpp
  xercesc/framework/psvi/XSAnnotation.cpp
  xercesc/framework/psvi/XSAttributeDeclaration.cpp
  xercesc/framework/psvi/XSAttributeGroupDefinition.cpp
  xercesc/framework/psvi/XSAttributeUse.cpp
  xercesc/framework/psvi/XSComplexTypeDefinition.cpp
  xercesc/framework/psvi/XSElementDeclaration.cpp
  xercesc/framework/psvi/XSFacet.cpp
  xercesc/framework/psvi/XSIDCDefinition.cpp
  xercesc/framework/psvi/XSModel.cpp
  xercesc/framework/psvi/XSModelGroup.cpp
  xercesc/framework/psvi/XSModelGroupDefinition.cpp
  xercesc/framework/psvi/XSMultiValueFacet.cpp
  xercesc/framework/psvi/XSNamespaceItem.cpp
  xercesc/framework/psvi/XSNotationDeclaration.cpp
  xercesc/framework/psvi/XSObject.cpp
  xercesc/framework/psvi/XSParticle.cpp
  xercesc/framework/psvi/XSSimpleTypeDefinition.cpp
  xercesc/framework/psvi/XSTypeDefinition.cpp
  xercesc/framework/psvi/XSValue.cpp
  xercesc/framework/psvi/XSWildcard.cpp
  xercesc/framework/StdInInputSource.cpp
  xercesc/framework/StdOutFormatTarget.cpp
  xercesc/framework/URLInputSource.cpp
  xercesc/framework/Wrapper4DOMLSInput.cpp
  xercesc/framework/Wrapper4InputSource.cpp
  xercesc/framework/XMLAttDef.cpp
  xercesc/framework/XMLAttDefList.cpp
  xercesc/framework/XMLAttr.cpp
  xercesc/framework/XMLBuffer.cpp
  xercesc/framework/XMLBufferMgr.cpp
  xercesc/framework/XMLContentModel.cpp
  xercesc/framework/XMLDTDDescription.cpp
