=== debian/changelog ===
xerces-c (3.2.0+debian-2) unstable; urgency=medium

  * Upload to unstable

 -- William Blough <devel@blough.us>  Fri, 10 Nov 2017 14:04:36 -0500

xerces-c (3.2.0+debian-1) experimental; urgency=medium

  * New upstream version
  * Update to policy 4.1.1
    - Change d/copyright Format URL to use https
  * Remove patches that have been applied upstream
  * Set dh compat to 10
  * Patch: Fix test failures for parallel builds (forwarded)

 -- William Blough <devel@blough.us>  Thu, 12 Oct 2017 01:49:25 -0400
