=== debian/rules ===
--- 
+++ 
@@ -15,15 +15,12 @@
 	dh $@ --with autoreconf
 
 override_dh_auto_configure:
-	dh_auto_configure -- --disable-pretty-make --enable-netaccessor-curl --disable-sse2
-	# Note: This disables explicit passing of -msse2 to gcc.  It does not
-	# actually disable sse2 extensions for platforms such as x86_64
-	# (amd64) which enable sse2 extensions by default.
+	dh_auto_configure -- --disable-pretty-make --enable-netaccessor-curl
 
 override_dh_compress:
 	dh_compress -plibxerces-c-dev -Xexamples
 	dh_compress -plibxerces-c-doc -Xhtml
-	dh_compress -plibxerces-c3.1
+	dh_compress -plibxerces-c3.2
 	dh_compress -plibxerces-c-samples
 
 override_dh_installexamples:
