## xerces-c 3.2.1+debian

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -25,9 +25,8 @@
   xercesc/NLS
   xercesc/util/Xerces_autoconf_config.hpp.cmake.in
   xercesc/util/Xerces_autoconf_config.hpp.in
-  xercesc/util/Xerces_autoconf_config.msvc.hpp
-  xercesc/util/Xerces_autoconf_config.borland.hpp
-  xercesc/util/MsgLoaders/Win32
+  xercesc/util/XercesVersion.hpp.cmake.in
+  xercesc/util/XercesVersion.hpp.in
   xercesc/util/MsgLoaders/ICU/resources
 )
 
@@ -329,3 +328,5 @@
   xercesc/framework/XMLBufferMgr.cpp
   xercesc/framework/XMLContentModel.cpp
   xercesc/framework/XMLDTDDescription.cpp
+  xercesc/framework/XMLElementDecl.cpp
+  xercesc/framework/XMLEntityDecl.cpp
