=== debian/changelog ===
xerces-c (3.2.1+debian-2) unstable; urgency=medium

  * Fixes regression related to SSE2 detection/support, which
    causes a baseline violation on i386.  Closes: 895068
  * Update to policy 4.1.4 (no changes)
  * Update to debhelper compat 11
  * Simplify installation of NOTICE files

 -- William Blough <devel@blough.us>  Thu, 26 Apr 2018 01:02:02 -0400

xerces-c (3.2.1+debian-1) unstable; urgency=medium

  * New upstream release.  Closes: 891841
    Fixes CVE-2017-12627  Closes: 894050
  * Update to policy 4.1.3 (no changes)
  * Remove patch that was applied upstream
  * Lintian fixes:
    - remove trailing whitespace in changelog
    - install NOTICE file
    - change watch file to use https

 -- William Blough <devel@blough.us>  Wed, 28 Mar 2018 17:56:05 -0400
