=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: xerces-c
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>> 10),
+Build-Depends: debhelper (>> 11),
                default-jre-headless | default-jre,
                libatk-wrapper-java,
                libcurl4-gnutls-dev,
@@ -11,7 +11,7 @@
                libxerces2-java
 Build-Depends-Indep: doxygen
 Maintainer: William Blough <devel@blough.us>
-Standards-Version: 4.1.1
+Standards-Version: 4.1.4
 Homepage: https://xerces.apache.org/xerces-c/
 Vcs-Git: https://bitbucket.org/bblough/xerces-c.git
 Vcs-Browser: https://bitbucket.org/bblough/xerces-c/src
