=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,10 @@
 	dh $@ --with autoreconf
 
 override_dh_auto_configure:
-	dh_auto_configure -- --disable-pretty-make --enable-netaccessor-curl
+	dh_auto_configure -- --disable-pretty-make --enable-netaccessor-curl --disable-sse2
+	# Note: This disables explicit passing of -msse2 to gcc.  It does not
+	# actually disable sse2 extensions for platforms such as x86_64
+	# (amd64) which enable sse2 extensions by default.
 
 override_dh_compress:
 	dh_compress -plibxerces-c-dev -Xexamples
@@ -25,6 +28,9 @@
 
 override_dh_installexamples:
 	dh_installexamples -plibxerces-c-dev -X.o -X.deps -X.dirstamp
+
+override_dh_installdocs:
+	dh_installdocs -A NOTICE
 
 override_dh_auto_build-indep:
 	mkdir -p doc/html
