## xerces-c 3.2.2+debian

=== debian/changelog ===
xerces-c (3.2.2+debian-1ubuntu0.2) focal-security; urgency=medium

  * SECURITY UPDATE: integer overflows in DFAContentModel class
    - debian/patches/CVE-2023-37536.patch: add limit checks to DFAContentModel
      class methods and resolve issue XERCESC-2241.
    - CVE-2023-37536

 -- Camila Camargo de Matos <camila.camargodematos@canonical.com>  Tue, 16 Jan 2024 13:39:29 -0300

xerces-c (3.2.2+debian-1ubuntu0.1) focal-security; urgency=medium

  * SECURITY UPDATE: use-after-free on external DTD scan
    - debian/patches/CVE-2018-1311.patch: resolve issue XERCESC-2188.
    - CVE-2018-1311
  * debian/patches/correct-test-name.patch: fix test name argument in
    ThreadTest8 script.

 -- Camila Camargo de Matos <camila.camargodematos@canonical.com>  Mon, 08 Jan 2024 15:36:44 -0300

xerces-c (3.2.2+debian-1build3) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Mar 2020 21:42:52 +0100

xerces-c (3.2.2+debian-1build2) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 13 Feb 2020 10:01:48 +0100

xerces-c (3.2.2+debian-1build1) disco; urgency=medium

  * No-change rebuild for icu soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 13 Nov 2018 08:21:56 +0000

xerces-c (3.2.2+debian-1) unstable; urgency=medium

  * New upstream version 3.2.2+debian Closes: 909202
  * Add gbp.conf
  * Update VCS URLs
  * Update maintainer email
  * Remove duplicate VCS URL
  * Update standards to 4.2.1 (no changes needed)

 -- William Blough <bblough@debian.org>  Wed, 19 Sep 2018 15:19:49 -0400
