=== debian/control ===
--- 
+++ 
@@ -10,11 +10,13 @@
                libxalan2-java,
                libxerces2-java
 Build-Depends-Indep: doxygen
-Maintainer: William Blough <devel@blough.us>
-Standards-Version: 4.1.4
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: William Blough <bblough@debian.org>
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/bblough/xerces-c
+Vcs-Git: https://salsa.debian.org/bblough/xerces-c.git
 Homepage: https://xerces.apache.org/xerces-c/
-Vcs-Git: https://bitbucket.org/bblough/xerces-c.git
-Vcs-Browser: https://bitbucket.org/bblough/xerces-c/src
+
 
 Package: libxerces-c3.2
 Architecture: any
