=== debian/watch ===
version=3

opts=pgpsigurlmangle=s/$/.asc/,dversionmangle=s/\+debian// \
https://www.apache.org/dist/xerces/c/3/sources/xerces-c-([\d\.]*)\.tar\.gz
