## xerces-c 3.2.2+debian.1

=== debian/changelog ===
xerces-c (3.2.2+debian.1-1+dde) unstable; urgency=medium

  * update

 -- William Blough <bblough@debian.org>  Fri, 30 Apr 2021 13:33:17 +0800

xerces-c (3.2.2+debian.1-1+dde) buster; urgency=medium

  * Non-maintainer upload.
  * fix CVE-2018-1311

 -- zhouzilong <zhouzilong@uniontech.com>  Fri, 30 Apr 2021 13:24:29 +0800

xerces-c (3.2.2+debian-1+deb10u1) buster-security; urgency=high

  * Non-maintainer upload.
  * CVE-2018-1311 mitigation: fix use-after-free vulnerability when
    processing external DTD, at the expense of a memory leak.  Users may
    mitigate both by setting the XERCES_DISABLE_DTD environment variable.

 -- Sylvain Beucler <beuc@debian.org>  Tue, 15 Dec 2020 15:55:44 +0100
